import * as $dara from '@darabonba/typescript';
import { UpdateFileProtectClientRuleResponseBody } from "./UpdateFileProtectClientRuleResponseBody";
export declare class UpdateFileProtectClientRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateFileProtectClientRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
